org.apache.http.client

## Interface ResponseHandler<T>

All Known Implementing Classes:
  AbstractResponseHandler, BasicResponseHandler, ContentResponseHandler

    public interface ResponseHandler<T>

Handler that encapsulates the process of generating a response object from a `HttpResponse`.

Since:
  4.0

### Method Summary

Methods
`T` `handleResponse(org.apache.http.HttpResponse response)` Processes an `HttpResponse` and returns some value corresponding to that response.

### Method Detail

#### handleResponse

    T handleResponse(org.apache.http.HttpResponse response)
                     throws ClientProtocolException,
                            IOException

Processes an `HttpResponse` and returns some value corresponding to that response.

Parameters:
  `response` - The response to process
Returns:
  A value determined by the response
Throws:
  `ClientProtocolException` - in case of an http protocol error
  `IOException` - in case of a problem or the connection was aborted